aboutsummaryrefslogtreecommitdiffstats
path: root/vnfs/DAaaS/microservices/collectd-operator/build
diff options
context:
space:
mode:
authorDileep Ranganathan <dileep.ranganathan@intel.com>2019-05-30 21:56:00 -0700
committerGary Wu <gwu@futurewei.com>2019-05-31 14:33:53 +0000
commitb7be24e3abb6d85e7e1745486509fdf6be010f72 (patch)
tree23a77289b7df675e01114f8041728863df8938b9 /vnfs/DAaaS/microservices/collectd-operator/build
parenta2f5de8a31d18dfa8d079a585ab0b4a6d8d7b1c3 (diff)
Fix collectd-operator build issue
Fix build issues. Version control some files which were .gitignored. Issue-ID: ONAPARC-461 Signed-off-by: Dileep Ranganathan <dileep.ranganathan@intel.com> Change-Id: Ia7d1b9ef0e518c1afea5ca91103309724111028c
Diffstat (limited to 'vnfs/DAaaS/microservices/collectd-operator/build')
-rwxr-xr-xvnfs/DAaaS/microservices/collectd-operator/build/bin/entrypoint12
-rwxr-xr-xvnfs/DAaaS/microservices/collectd-operator/build/bin/user_setup13
2 files changed, 25 insertions, 0 deletions
diff --git a/vnfs/DAaaS/microservices/collectd-operator/build/bin/entrypoint b/vnfs/DAaaS/microservices/collectd-operator/build/bin/entrypoint
new file mode 100755
index 00000000..3c0546c5
--- /dev/null
+++ b/vnfs/DAaaS/microservices/collectd-operator/build/bin/entrypoint
@@ -0,0 +1,12 @@
+#!/bin/sh -e
+
+# This is documented here:
+# https://docs.openshift.com/container-platform/3.11/creating_images/guidelines.html#openshift-specific-guidelines
+
+if ! whoami &>/dev/null; then
+ if [ -w /etc/passwd ]; then
+ echo "${USER_NAME:-collectd-operator}:x:$(id -u):$(id -g):${USER_NAME:-collectd-operator} user:${HOME}:/sbin/nologin" >> /etc/passwd
+ fi
+fi
+
+exec ${OPERATOR} $@
diff --git a/vnfs/DAaaS/microservices/collectd-operator/build/bin/user_setup b/vnfs/DAaaS/microservices/collectd-operator/build/bin/user_setup
new file mode 100755
index 00000000..1e36064c
--- /dev/null
+++ b/vnfs/DAaaS/microservices/collectd-operator/build/bin/user_setup
@@ -0,0 +1,13 @@
+#!/bin/sh
+set -x
+
+# ensure $HOME exists and is accessible by group 0 (we don't know what the runtime UID will be)
+mkdir -p ${HOME}
+chown ${USER_UID}:0 ${HOME}
+chmod ug+rwx ${HOME}
+
+# runtime user will need to be able to self-insert in /etc/passwd
+chmod g+rw /etc/passwd
+
+# no need for this script to remain in the image after running
+rm $0